Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Member Functions
tlp::ViewPluginsManager Class Reference

Manager of view's plugins. More...

`#include <ViewPluginsManager.h>`

Collaboration diagram for tlp::ViewPluginsManager:
[legend]

List of all members.

## Public Member Functions

- void loadPlugins (PluginLoader *plug=NULL)
- View * createView (const std::string &name)

## Static Public Member Functions

- static ViewPluginsManager & getInst ()

## Detailed Description

Manager of view's plugins.

Class to manage view's plugins

## Member Function Documentation

View* tlp::ViewPluginsManager::createView | ( | const std::string & | name | ) |

Create view with given name

Returns:
  The view

static ViewPluginsManager& tlp::ViewPluginsManager::getInst | ( |  | ) | `[inline, static]`

Singleton system

void tlp::ViewPluginsManager::loadPlugins | ( | PluginLoader * | plug = `NULL` | ) |

Load all view's plugins available

Parameters:

  plug | : Use this plugin loader

Tulip Software by LaBRI Visualization Team 2001 - 2012